/////////////////////////////////////////////////
//
//  filename: Stick.cpp
//  author:Chafumi Touji
//  date: 2021/07/04 ver1.00
//
/////////////////////////////////////////////////

#ifndef __STICK_H__
#define __STICK_H__

class CStick : public CCharacterBase {
public:

	bool	Move;
	bool	Attack;

public:
	
	CStick();
	CStick(CDispWindow *disp_window);
	~CStick();
	void PreAction();
	void Action();
	void OnKeyDown(UINT nChar);
	void OnKeyUp(UINT nChar);
	void OnLButtonDown(UINT nFlag, CPoint point);
	void OnLButtonUp(UINT nFlag, CPoint point);
	void OnRButtonDown(UINT nFlag, CPoint point);
	void OnRButtonUp(UINT nFlag, CPoint point);
};

#endif